This directory contains the 3rd-party dependencies required to build the plug-in.

### Adobe Photoshop CS5 SDK

You will need to download the Adobe Photoshop CS5 SDK from http://www.adobe.com/devnet/photoshop/sdk.html and unzip it into this folder.

### AOM

Clone AOM from your preferred tag:

`git clone -b v3.0.0 --depth 1 https://aomedia.googlesource.com/aom`

Change into the `aom` directory and create a build directory.
In this example a 64-bit build using Visual Studio 2019 is used. 

`cd aom`   
`mkdir build64 && cd build64`   
`cmake -G "Visual Studio 16 2019" -DCMAKE_BUILD_TYPE=Release -DENABLE_DOCS=0 -DENABLE_EXAMPLES=0 -DENABLE_TESTDATA=0 -DENABLE_TESTS=0 -DENABLE_TOOLS=0 ..`   
`cmake --build .`

The generated AOM library should be located in `aom/build64/Release`, this library will be used when building `libheif`.

### libheif

Clone libheif from your preferred tag:

`git clone -b v1.11.0 --depth 1 https://github.com/strukturag/libheif`

Change into the `libheif` directory and create a build directory.
In this example a 64-bit build using Visual Studio 2019 is used. 

`cd libheif`   
`mkdir build64 && cd build64`   
`cmake -G "Visual Studio 16 2019" -DBUILD_SHARED_LIBS=OFF -DWITH_EXAMPLES=OFF -DAOM_INCLUDE_DIR=..\..\aom -DAOM_LIBRARY=..\..\aom\build64\Release\aom.lib ..`   
`cmake --build .`

You will need to add `LIBHEIF_STATIC_BUILD` to the preprocessor settings page in the libheif project properties,
and remove the `HAS_VISIBILITY` definition if present.

The generated libheif library should be located in `libheif/build64/Release`.